Subject: RE: [SIP] Possible REFER problem?

From: [email-masked]
Date: Tue, 5 Sep 2000 13:37:18 -0500

Jonathan Rosenberg wrote
> No. It would not be routed to a "totally" different location. 
> Forking in
> SIP is not meant to be a randomization process; its meant to 
> be a means
> of finding the user where they are currently available. In a 
> reasonable
> SIP system, if they are available at some destination for a 
> first call,
> a second call should be able to "ring" that same phone as well. 
> 

How can extension groups be handled in SIP? For example, if the URL is
sip:[email-masked], and five phones are supposed to ring at once for five
different sales people (a ring-all extension group), or one of five phones
is supposed to ring, selected in circular fashion (a circular extension
group).

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip

---

From: Jonathan Rosenberg <[email-masked]>
Date: Tue, 05 Sep 2000 14:56:15 -0400

> is supposed to ring, selected in circular fashion (a circular extension

However you like it. Either approach is supported. Its a matter of local
policy in the proxy that servers acme.com.

-Jonathan R.
-- 
Jonathan D. Rosenberg                       72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.cs.columbia.edu/~jdrosen         PHONE: (732) 741-7244
http://www.dynamicsoft.com

---

From: [email-masked]
Date: 5 Sep 2000 19:31:23 -0000

Quoting [email-masked]:

> 
> Jonathan Rosenberg wrote
> > No. It would not be routed to a \"totally\" different location.
> > Forking in
> > a second call should be able to \"ring\" that same phone as well.
> >
>

One can do this using registrations and playing around with \'q\'
parameters. You can make all 5 phones ring at the same time
or make them ring in groups. However making them ring in a round 
robin may require some other trick.

Shiv

---

From: Rohan Mahy <[email-masked]>
Date: Tue, 05 Sep 2000 13:12:25 -0700

Hi,

I think you are missing the point.  Sure you can play around with q values 
to affect how the call is initially routed.  Cliff wants the *initial* 
INVITE to ring all 5 phones at once, and the REFER-triggered INVITE to 
arrive at just the Contact that will accept the "transfer."

Seems natural to use the Contact as the Request-URI.

thanks,
-rohan

---

From: [email-masked]
Date: 5 Sep 2000 20:27:19 -0000

Oops. Right. I did the see the entire context of the thread.

Shiv

Quoting Rohan Mahy <[email-masked]>:

> arrive at just the Contact that will accept the \"transfer.\"
>
> > > > No. It would not be routed to a \\\"totally\\\" different 
location.
> > > > a second call should be able to \\\"ring\\\" that same phone as 
well.
> > > >
> > >
> > > How can extension groups be handled in SIP? For example, if the 
URL
> >is
> > > different sales people (a ring-all extension group), or one of 
five
> >phones
> >One can do this using registrations and playing around with \\\'q\\\'